Render a signed runtime embed
Trusted integration endpoint for server-generated signed iframe URLs. The payload may reference an existing demo or request generation using url, prompt, template, section, and player props.
GET
/api/v1/embed/runtime
Trusted integration endpoint for server-generated signed iframe URLs. The payload may reference an existing demo or request generation using url, prompt, template, section, and player props.
Query Parameters
project_id
string
required
query
expires
string
required
query
signature
string
required
query
payload
string
optional
query
Responses
200
Embeddable HTML player, loading state, or recoverable error
No response body
202
Demo generation started and loading embed returned
400
Invalid signed payload
401
Missing, invalid, or expired signature
404
Project or demo not found
429
Quota or rate limit exceeded
curl -X GET 'https://littledemo.com/api/v1/embed/runtime?project_id=string&expires=string&signature=string' \ -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://littledemo.com/api/v1/embed/runtime?project_id=string&expires=string&signature=string', { method: 'GET', headers: { "Authorization": "Bearer YOUR_API_TOKEN" }});const data = await response.json();console.log(data);
import requestsheaders = { 'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://littledemo.com/api/v1/embed/runtime?project_id=string&expires=string&signature=string', headers=headers)print(response.json())
400
Response
{ "error": "<string>"}
API Playground
Try this endpoint
GET
/api/v1/embed/runtime